C=============================================
C ===  TO PRINT INPUT DATA===============
      SUBROUTINE COMOR3( Z,R,BET,H,GAM,GAM1,GAM2,EPS,ALFA,
     *  NE,IN,IL,IQ,XI,G,NU,NU1,NU2,PJ,IT,UD,DIR,KN,KK,
     *  ISIGM1,ISIGM2,IS,L1,S1)

      REAL*8ALFA,BET,H,Z,EPS,R,
     *   PJ(*),GAM(*),GAM1(*),GAM2(*)
      INTEGER IS,NE,G,S1,KK(*),ISIGM1(*),ISIGM2(*),
     *   IN(*),IL(*),IQ(*),KN(NU1),UD(*),XI(*),DIR(*)

      WRITE(6, 5)Z
      WRITE(*, 5)Z
    5 FORMAT(14H ATOMIC NUMBER,19X,F4.1,
     */15H CONFIGURATION:/   ,
     *  '    N   L   Q   X   ORT SPI   JJ')
      DO 6 I=1,IS
      WRITE(6, 7)IN(I),IL(I),IQ(I),XI(I),UD(I),DIR(I),PJ(I)
      WRITE(*, 7)IN(I),IL(I),IQ(I),XI(I),UD(I),DIR(I),PJ(I)
   6  CONTINUE
    7 FORMAT(' ',6I4,3X,F5.2)
      WRITE(6, 16)S1,L1
   16 FORMAT(' TERM    2S+1=',I3,'   L=',I3)
C     IF(L1.GE.111) GOTO 112
      CALL COEF3(IS,G,NU,NU1,NU2,IT,IQ,XI,UD,KN,GAM,GAM1,GAM2,
     *           KK,ISIGM1,ISIGM2)
C112   NU=1
       WRITE(6, 8)
    8  FORMAT('   COEFFICIENTS ')
      IF(UD(IS).EQ.0) THEN
      WRITE(6, 88)
      ELSE
      WRITE(6, 87 )
      END IF
   87 FORMAT('      GAM    ',   9X,'K  ISIGM1 ',
     *' ISIGM2  GAM1',12X,'GAM2')
   88 FORMAT('      GAM    ',   9X,'K  ISIGM1 ',
     *' ISIGM2')
      IF(NU.LT.1) GOTO 21
      DO 9 IZCH=1,NU1
      IF(UD(IS).EQ.0) THEN
      WRITE(6, 10)IZCH,GAM(IZCH),KK(IZCH),
     *ISIGM1(IZCH),ISIGM2(IZCH)
      GOTO 9
      END IF
      IF(IZCH.LT.IS) GOTO 15
      WRITE(6, 10)IZCH,GAM(IZCH),KK(IZCH),
     *ISIGM1(IZCH),ISIGM2(IZCH),GAM1(IZCH)
      GOTO 9
   15 WRITE(6, 10)IZCH,GAM(IZCH),KK(IZCH),
     *ISIGM1(IZCH),ISIGM2(IZCH),GAM1(IZCH),GAM2(IZCH)
    9 CONTINUE
   10 FORMAT(I5,E14.7,I4,I6,I7,3X,E15.7,E16.7)
   21 CONTINUE
   11 FORMAT(E15.8)
      WRITE(6, 12)EPS
   12 FORMAT(9H ACCURACY,15X,F15.8)
      WRITE(6, 13)R,NE,H,BET,ALFA
   13 FORMAT(' R MAX',22X,E15.8/
     *28H NO.OF INTEGRATION POINTS   ,
     *I5/19H STEP SIZE         ,9X,
     *E15.8/4H BET,24X,E15.8/5H ALFA,
     *23X,E15.8)
      RETURN
      END
